# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Parse-RecDescent-Deparse
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt3_13
License:	GPL or Artistic
Summary:	Parse::RecDescent::Deparse - Turn a Parse::RecDescent object back into its grammar
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Parse/RecDescent.pm)
BuildArch:	noarch
Source44: import.info


%description
This module adds the deparse method to the Parse::RecDescent
class, which returns a textual description of the grammar.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/Parse/RecDescent/Deparse.pm


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt3_13
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 1.00-alt3_12
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 1.00-alt3_11
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt3_10
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt3_9
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 1.00-alt3_8
- rebuild to get rid of unmets

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt2_8
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 1.00-alt2_7
- rebuild to get rid of unmets

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_7
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_6
- converted for ALT Linux by srpmconvert tools

